import React, { Component } from "react";
import Taro, { getCurrentInstance } from "@tarojs/taro";
import { View, Text, Button, Image } from "@tarojs/components";
import { AtListItem, AtIcon } from "taro-ui";
import { getDepartmentList, getOrderByUid, getDrbitNote } from "../../utils/servers/servers";
import "taro-ui/dist/style/components/search-bar.scss";
import "taro-ui/dist/style/components/button.scss";
import "taro-ui/dist/style/components/icon.scss";
import "taro-ui/dist/style/components/list.scss";
import "taro-ui/dist/style/components/icon.scss";

import noData from '../../image/noData.png';
import './index.less';

class DebitNote extends Component {
  $instance = getCurrentInstance();

  constructor(props) {
    super(props);
    this.state = {
      list: [],
      listVisible: false,
    };
    this.getList = this.getList.bind(this);
  }

  componentDidMount() {
    this.getList()
  }


  getList() {
    getDrbitNote({
      depId: this.$instance.router.params.depId,
    }).then((msg) => {
      if (msg.error.length === 0) {
        this.setState({
          list: msg.data,
        });
      } else {
        Taro.showToast({ title: msg.error[0].message, icon: "none" });
      }
    }).catch(() => {

    });
  }


  render() {
    const { list } = this.state
    return (
      <View className="debitnote">
        {list.length == 0 ?
          <View className='noData'>
            <Image src={noData} className='noDataImg' />
            <View className='noDataTitle'>您暂时没有能使用的借支单</View>
          </View> :
          <View className="dlist">
            {/* v.orderNo + v.totalAmount */}
            {
              list?.map((v, k) => (
                <View className="dlitem" key={k}>
                  {/* <View className="tit">{v.userNames}</View> */}
                  <View className="txt">
                    {/* {v.orderNo} */}
                    <Text className="num">{v.totalAmount}元</Text>
                  </View>
                  <Button
                    className="bt"
                    type='primary'
                    size="mini"
                    disabled={v.liquidationStatus == 2 || v.liquidationStatus == 3}
                    onClick={() => {
                      let pages = Taro.getCurrentPages();
                      let prevPage = pages[pages.length - 2];
                      prevPage.setData({
                        debitId: v.id,
                        totalAmount: v.totalAmount,
                      });
                      Taro.navigateBack({
                        delta: 1
                      })
                    }}
                  >{(v.liquidationStatus == 2 || v.liquidationStatus == 3) ? "已抵消" : "选择"}</Button>
                </View>
              ))
            }
          </View>}
      </View>
    );
  }
}

export default DebitNote;
